petsc-3.4.2 2013-07-02

# MATSEQAIJCUSPARSE

MATAIJCUSPARSE = "(seq)aijcusparse" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on Nvidia GPUs. These matrices can be in either CSR, ELL, or Hybrid format. All matrix calculations are performed on Nvidia GPUs using the CUSPARSE library. This type is only available when using the 'txpetscgpu' package. Use --download-txpetscgpu to build/install PETSc to use different CUSPARSE library and the different GPU storage formats.

### Options Database Keys

| -mat_type aijcusparse | - sets the matrix type to "seqaijcusparse" during a call to MatSetFromOptions()
| -mat_cusparse_storage_format csr | - sets the storage format of matrices (for MatMult and factors in MatSolve) during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid). Only available with 'txpetscgpu' package.
| -mat_cusparse_mult_storage_format csr | - sets the storage format of matrices (for MatMult) during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid). Only available with 'txpetscgpu' package.
| -mat_cusparse_solve_storage_format csr | - sets the storage format matrices (for factors in MatSolve) during a call to MatSetFromOptions(). Other options include ell (ellpack) or hyb (hybrid). Only available with 'txpetscgpu' package.

### See Also

MatCreateSeqAIJCUSPARSE(), MATAIJCUSPARSE, MatCreateAIJCUSPARSE(), MatCUSPARSESetFormat(), MatCUSPARSEStorageFormat, MatCUSPARSEFormatOperation

Level:beginner
Location:src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages